Error during uprade

Aruba Employee

<begin log snippet>

Preparing... ##################################################
error: %pre(pam-0.77-66.14.i386) scriptlet failed, exit status 255
error: install: %pre scriptlet failed (2), skipping pam-0.77-66.14
error: Failed dependencies:
/lib/security/pam_loginuid.so is needed by vsftpd-2.0.1-5.EL4.3.i386
libpam.so.0 is needed by vsftpd-2.0.1-5.EL4.3.i386
pam is needed by vsftpd-2.0.1-5.EL4.3.i386
Suggested resolutions:
/home/buildcentos/CENTOS/en/4.0/i386/CentOS/RPMS/pam-0.77-66.14.i386.rpm
make[1]: *** [vsftpd] Error 1
make[1]: Leaving directory `/root/svn/mercury/src'
make: *** [src_install] Error 2

<end log snippet>

This happens in rare cases. It's caused by SELinux, which is a local security application. The solution:

1. In /etc/selinux/config change this:

SELINUX=permissive

to this:

SELINUX=disabled

2. Reboot the server with the reboot command.
3. # cd /root/svn/mercury; make

That should do it.

Version history
Revision #:
1 of 1
Last update:
‎06-09-2014 09:46 AM
Updated by:
 
Labels (1)
Contributors
Search Airheads
cancel
Showing results for 
Search instead for 
Did you mean: